@import "./variables";

.base-container {
  display: $flex-display;
  flex-direction: $flex-column;
  align-items: center;
  width: 100%;

  .login-header {
    font-size: 24px;
    margin-bottom: 32px;
    margin-top: 32px;
  }

  .content {
    display: $flex-display;
    flex-direction: $flex-column;

    .image {
      height: 140px;
      img {
        width: 100%;
        height: 100%;
      }
    }

    .error-message {
      align-self: center;
      color: $red;
    }

    .form {
      display: $flex-display;
      flex-direction: $flex-column;
      align-items: center;
      margin-top: 2em;

      .form-group {
        display: $flex-display;
        flex-direction: $flex-column;
        align-items: flex-start;
        width: fit-content;

        label {
          font-size: 20px;
        }

        input {
          margin-top: 6px;
          min-width: 18em;
          height: 37px;
          padding: 0 10px;
          font-size: 16px;
          background-color: $white;
          border: 0;
          border-radius: 4px;
          margin-bottom: 31px;
          transition: $inputs-transitions;

          &:focus {
            box-shadow: 0 0 12px 0.8px #0e81ce96;
          }
        }
      }
    }
  }
}
